import { IControlPopoverProps } from './popover';
export declare type TAlign = 'left' | 'center' | 'right';
export declare const tableProps: {
    /**
     * @language=zh
     * 表格数据
     */
    data: {
        type: ArrayConstructor;
        default(): never[];
    };
    /**
     * @language=zh
     * 表格列schema
     */
    columns: {
        type: ArrayConstructor;
        default(): never[];
    };
    /**
     * @language=zh
     * 表格是否加载中
     */
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @language=zh
     * 全局选中列表
     */
    selection: {
        type: ArrayConstructor;
        default(): never[];
    };
    /**
     * @language=zh
     * 全局单元格对齐方式, left/center/right
     */
    align: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 全局表头对齐方式, left/center/right
     */
    headerAlign: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 当内容过长被隐藏时显示 tooltip
     */
    showOverflowTooltip: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @language=zh
     * 全局列最小宽度
     */
    minWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * @language=zh
     * 当单元格的值为空字符串/`null`/`undefined`时的后备渲染内容
     */
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 可输入组件是否回车换行
     */
    enterChangeLine: {
        type: BooleanConstructor;
        default: boolean;
    };
} & {
    lite: {
        type: BooleanConstructor;
        default: boolean;
    };
    scrollWrapper: {
        type: StringConstructor;
        default: string;
    };
    scrollDebounce: {
        type: NumberConstructor;
        default: number;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
};
export interface ITableProps extends IControlPopoverProps {
    loading: boolean;
    data: Record<string, any>[];
    columns: Record<string, any>[];
    selection: Record<string, any>[];
    align: TAlign;
    headerAlign: TAlign;
    showOverflowTooltip: boolean;
    minWidth: number | string;
    placeholder: string | Function;
    enterChangeLine: boolean;
}
