// @ts-ignore
import { computed, ref, watch } from 'vue-demi';
import { blurKey, changeKey, emitKey, inputKey, } from '../attrs/index';
import { valuePropKey } from '../props/index';
export function useSplitMode(props, attrs, emit) {
    function genInnerVal() {
        var value = props[valuePropKey];
        if (Array.isArray(value)) {
            return value.join(props.splitChar);
        }
        return (attrs.type === 'number' && value === 0) ? '' : value;
    }
    function genOuterVal(val) {
        if (!props.split) {
            return attrs.type === 'number' ? +val : val;
        }
        return val === '' ? [] : val.split(props.splitChar);
    }
    var innerValRef = ref(genInnerVal());
    watch(function () { return props[valuePropKey]; }, function () {
        innerValRef.value = genInnerVal();
    }, { deep: true });
    var listeners = props.split ? computed(function () {
        var _a;
        return Object.assign({}, attrs, (_a = {},
            _a[inputKey] = function (val) {
                var input = attrs === null || attrs === void 0 ? void 0 : attrs[inputKey];
                if (typeof input === 'function')
                    input(genOuterVal(val));
            },
            _a[changeKey] = function (val) {
                var change = attrs === null || attrs === void 0 ? void 0 : attrs[changeKey];
                if (typeof change === 'function')
                    change(genOuterVal(val));
            },
            _a[blurKey] = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                var blur = attrs === null || attrs === void 0 ? void 0 : attrs[blurKey];
                if (typeof blur === 'function')
                    blur.apply(void 0, args);
                var tokens = genOuterVal(innerValRef.value);
                if (Array.isArray(tokens)) {
                    var val = tokens.filter(Boolean);
                    emit(emitKey, val);
                    emit('change', val);
                }
            },
            _a));
    }) : attrs;
    return {
        innerVal: innerValRef,
        listeners: listeners,
        genInnerVal: genInnerVal,
    };
}
