export declare const commonPopoverProps: {
    /**
     * popover visible
     * 弹出框是否显示
     */
    popoverVisible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * <el-popover> Attributes
     * 弹出框属性
     */
    popoverAttrs: {
        type: ObjectConstructor;
        default(): {};
    };
    /**
     * <el-popover> Events
     * 弹出框事件
     */
    popoverListeners: {
        type: ObjectConstructor;
        default(): {};
    };
};
export interface ICommonPopoverProps {
    popoverVisible: boolean;
    popoverAttrs: Record<string, any>;
    popoverListeners: Record<string, any>;
}
export declare const controlPopoverProps: {
    lite: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @language=zh
     * 滚动容器选择器(window直接使用window字符串), 指定时会在滚动时更新popover的位置信息
     */
    scrollWrapper: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 滚动debounce延迟时间
     */
    scrollDebounce: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * @language=zh
     * 显示时间, 毫秒。设为 0 则不会自动关闭
     */
    duration: {
        type: NumberConstructor;
        default: number;
    };
};
export interface IControlPopoverProps {
    lite: boolean;
    scrollWrapper: string;
    scrollDebounce: number;
    duration: number;
}
export declare const popoverProps: {
    /**
     * @language=zh
     * 弹出框内容/渲染函数
     */
    popover: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
} & {
    /**
     * popover visible
     * 弹出框是否显示
     */
    popoverVisible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * <el-popover> Attributes
     * 弹出框属性
     */
    popoverAttrs: {
        type: ObjectConstructor;
        default(): {};
    };
    /**
     * <el-popover> Events
     * 弹出框事件
     */
    popoverListeners: {
        type: ObjectConstructor;
        default(): {};
    };
} & {
    lite: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @language=zh
     * 滚动容器选择器(window直接使用window字符串), 指定时会在滚动时更新popover的位置信息
     */
    scrollWrapper: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 滚动debounce延迟时间
     */
    scrollDebounce: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * @language=zh
     * 显示时间, 毫秒。设为 0 则不会自动关闭
     */
    duration: {
        type: NumberConstructor;
        default: number;
    };
};
export interface IPopoverProps extends ICommonPopoverProps, IControlPopoverProps {
    popover: string | Function;
}
