export declare const textFieldProps: {
    /**
     * @language=zh
     * 前置内容字符串/渲染函数
     */
    prepend: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * @language=zh
     * 后置内容字符串/渲染函数
     */
    append: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * @language=zh
     * 尾部内容/渲染函数
     */
    suffix: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * @language=zh
     * 首部内容/渲染函数
     */
    prefix: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
};
export interface ITextFieldProps {
    append: string | Function;
    prepend: string | Function;
    prefix: string | Function;
    suffix: string | Function;
}
export declare const textFieldColorProps: {
    /**
     * @language=zh
     * 选择器边框颜色
     */
    borderColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 选择器背景颜色
     */
    backgroundColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @language=zh
     * 选择器字体颜色
     */
    color: {
        type: StringConstructor;
        default: string;
    };
};
export interface ITextFeildColorProps {
    color: string;
    borderColor: string;
    backgroundColor: string;
}
export declare const splitModeProps: {
    /**
     * @language=zh
     * 分隔模式，双向绑定值为根据splitChar分隔的数组
     */
    split: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @language=zh
     * 分隔字符串
     */
    splitChar: {
        type: StringConstructor;
        default: string;
    };
};
export interface ISplitModeProps {
    split: boolean;
    splitChar: string;
}
